<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <title>All users</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
</head>
    <body>
        <h1 th:text="'New user'"/>
        <form th:action="@{/users}" th:object="${user}" method="post">
            <p>First name: <input type="text" th:field="*{firstName}"/></p>
            <p>Last name: <input type="text" th:field="*{lastName}"/></p>
            <p>
                Address
                <select th:field="*{address}">
                    <option th:each="adr : ${addresses}"
                            th:value="${adr}"
                            th:text="${adr.city}+', '+ ${adr.street}+', '+ ${adr.houseNumber}"/>
                </select>
            </p>
            <p><input type="submit" value="Submit changes"/> <input type="reset" value="Reset"/></p>
        </form>
    </body>
</html>